Friday, August 20, 2021

Red Hat: CVE-2021-3621: Important: sssd security update (Multiple Advisories)

Description
A flaw was found in SSSD, where the sssctl command was vulnerable to shell command injection via the logs-fetch and cache-expire subcommands. This flaw allows an attacker to trick the root user into running a specially crafted sssctl command, such as via sudo, to gain root access. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.
Solution(s)
  • redhat-upgrade-libipa_hbac
  • redhat-upgrade-libipa_hbac-debuginfo
  • redhat-upgrade-libsss_autofs
  • redhat-upgrade-libsss_autofs-debuginfo
  • redhat-upgrade-libsss_certmap
  • redhat-upgrade-libsss_certmap-debuginfo
  • redhat-upgrade-libsss_idmap
  • redhat-upgrade-libsss_idmap-debuginfo
  • redhat-upgrade-libsss_nss_idmap
  • redhat-upgrade-libsss_nss_idmap-debuginfo
  • redhat-upgrade-libsss_simpleifp
  • redhat-upgrade-libsss_simpleifp-debuginfo
  • redhat-upgrade-libsss_sudo
  • redhat-upgrade-libsss_sudo-debuginfo
  • redhat-upgrade-python3-libipa_hbac
  • redhat-upgrade-python3-libipa_hbac-debuginfo
  • redhat-upgrade-python3-libsss_nss_idmap
  • redhat-upgrade-python3-libsss_nss_idmap-debuginfo
  • redhat-upgrade-python3-sss
  • redhat-upgrade-python3-sss-debuginfo
  • redhat-upgrade-python3-sss-murmur
  • redhat-upgrade-python3-sss-murmur-debuginfo
  • redhat-upgrade-python3-sssdconfig
  • redhat-upgrade-sssd
  • redhat-upgrade-sssd-ad
  • redhat-upgrade-sssd-ad-debuginfo
  • redhat-upgrade-sssd-client
  • redhat-upgrade-sssd-client-debuginfo
  • redhat-upgrade-sssd-common
  • redhat-upgrade-sssd-common-debuginfo
  • redhat-upgrade-sssd-common-pac
  • redhat-upgrade-sssd-common-pac-debuginfo
  • redhat-upgrade-sssd-dbus
  • redhat-upgrade-sssd-dbus-debuginfo
  • redhat-upgrade-sssd-debuginfo
  • redhat-upgrade-sssd-debugsource
  • redhat-upgrade-sssd-ipa
  • redhat-upgrade-sssd-ipa-debuginfo
  • redhat-upgrade-sssd-kcm
  • redhat-upgrade-sssd-kcm-debuginfo
  • redhat-upgrade-sssd-krb5
  • redhat-upgrade-sssd-krb5-common
  • redhat-upgrade-sssd-krb5-common-debuginfo
  • redhat-upgrade-sssd-krb5-debuginfo
  • redhat-upgrade-sssd-ldap
  • redhat-upgrade-sssd-ldap-debuginfo
  • redhat-upgrade-sssd-libwbclient
  • redhat-upgrade-sssd-libwbclient-debuginfo
  • redhat-upgrade-sssd-nfs-idmap
  • redhat-upgrade-sssd-nfs-idmap-debuginfo
  • redhat-upgrade-sssd-polkit-rules
  • redhat-upgrade-sssd-proxy
  • redhat-upgrade-sssd-proxy-debuginfo
  • redhat-upgrade-sssd-tools
  • redhat-upgrade-sssd-tools-debuginfo
  • redhat-upgrade-sssd-winbind-idmap
  • redhat-upgrade-sssd-winbind-idmap-debuginfo


  • References
  • CVE-2021-3621
  • RHSA-2021:3151
  • RHSA-2021:3178




  •  

    Copyright © 2021 Vulnerability Database | Cyber Details™

    thank you Templateism for the design - You should have written the code a little more complicated - Nothing Encrypted anymore